<?php

	$vw_tour_lite_hi_first_color = get_theme_mod('vw_tour_lite_hi_first_color');

	$vw_tour_lite_custom_css ='';

	/*----------------- Global First Color -----------*/

	if($vw_tour_lite_hi_first_color != false){
		$vw_tour_lite_custom_css .='#header, .footersecsec, .sidebar h3,.service-text .read-more, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce span.onsale,.woocommerce button.button.alt, .woocommerce a.button.alt, .woocommerce input.button.alt,.sidebar .custom-social-icons i, input[type="submit"],.woocommerce .cart .button, .woocommerce .cart input.button,.copyright-wrapper,#slider .more-btn a:hover,nav.woocommerce-MyAccount-navigation li ,#comments input[type="submit"].submit,.sidebar input[type="submit"],.sidebar .tagcloud a:hover, #header main-navigation ul.sub-menu li a, .pagination .current, .pagination a:hover, .footersecsec .woocommerce-product-search button, .sidebar .widget_price_filter .price_slider_wrapper .ui-widget-content, .sidebar .woocommerce-product-search button, .header-fixed, .sidebar a.custom_read_more, .footersecsec a.custom_read_more, .nav-next a, .nav-previous a, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a:hover, .sidebar .wp-block-search .wp-block-search__button, .sidebar .wp-block-search .wp-block-search__label,.breadcrumbs a,.breadcrumbs span,.post-categories li a,.wp-block-button__link,.footersecsec .custom-about-us a.custom_read_more, .sidebar .custom-about-us a.custom_read_more,nav.navigation.posts-navigation .nav-previous a,nav.navigation.posts-navigation .nav-next a, a.added_to_cart.wc-forward, .wp-block-woocommerce-cart .wc-block-components-product-badge, a.wc-block-components-checkout-return-to-cart-button{';
				$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_hi_first_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_first_color != false){
		$vw_tour_lite_custom_css .='.wc-block-components-order-summary-item__quantity,.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button{';
				$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_hi_first_color).'!important;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_first_color != false){
		$vw_tour_lite_custom_css .='header.entry-header,.sidebar aside, .sidebar .custom-social-icons, .services-box,.sidebar input[type="search"],.service-text .read-more,.woocommerce-message,.footersecsec .custom-social-icons i:hover,.woocommerce select.orderby,li.product, #comments input[type="submit"].submit, .sidebar .woocommerce.widget_shopping_cart .buttons a, .woocommerce .widget_price_filter .price_slider_amount .button, .sidebar .woocommerce-product-search button:hover, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .sidebar a.custom_read_more,.wp-block-button__link{';
				$vw_tour_lite_custom_css .='border-color: '.esc_attr($vw_tour_lite_hi_first_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_first_color != false){
		$vw_tour_lite_custom_css .='.services-box h3,.metabox .entry-date, .metabox .entry-author a, .metabox .entry-comments,.woocommerce-message::before, .woocommerce button.button.alt:hover, .woocommerce a.button.alt:hover, .woocommerce input.button.alt:hover,.footersecsec .custom-social-icons i:hover,h1.woocommerce-products-header__title,p.woocommerce-result-count,.woocommerce select.orderby,h2.woocommerce-loop-product__title,.woocommerce div.product .product_title, .service-text a.read-more:hover, .sidebar .custom-social-icons i:hover, .post-info .entry-date, .post-info .entry-author a, .post-info .entry-comments, .post-info .entry-date a, .post-info .entry-author i, .service-text a, .sidebar .woocommerce-product-search button:hover,.footersecsec a.custom_read_more:hover,.post-info .entry-date, .post-info .entry-author a, .post-info .entry-comments, .post-info .entry-time{';
				$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_hi_first_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_first_color != false){
		$vw_tour_lite_custom_css .='.sidebar .woocommerce.widget_shopping_cart .buttons a:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce button.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce a.button.alt:hover, .woocommerce input.button.alt:hover{';
				$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_hi_first_color).'!important;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_first_color != false){
		$vw_tour_lite_custom_css .='li.product{
		box-shadow: 4px 4px 10px '.esc_attr($vw_tour_lite_hi_first_color).';
		}';
	}

	/*----------------- Global Second Color -----------------*/ 

	$vw_tour_lite_hi_second_color = get_theme_mod('vw_tour_lite_hi_second_color');

	if($vw_tour_lite_hi_second_color != false){
		$vw_tour_lite_custom_css .='#header main-navigation ul.sub-menu li a:hover,#slider .more-btn a,input[type="submit"]:hover,.footersecsec .tagcloud a:hover,.scrollup i, #comments a.comment-reply-link, .sidebar .widget_calendar tbody a, .toggle-nav i, .sidebar .widget_price_filter .ui-slider .ui-slider-range, .sidebar .widget_price_filter .ui-slider .ui-slider-handle, .footersecsec .woocommerce.widget_shopping_cart .buttons a:hover, .footersecsec .woocommerce-product-search button:hover, .footersecsec .widget_price_filter .ui-slider .ui-slider-range, .footersecsec .widget_price_filter .ui-slider .ui-slider-handle, .footersecsec .widget_price_filter .price_slider_amount .button:hover, .nav-previous a:hover, .nav-next a:hover, #preloader, .footersecsec .wp-block-search .wp-block-search__button,.wp-block-tag-cloud a:hover, .footersec .tagcloud a:hover,.wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link:hover:hover, .wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link:hover:hover, a.wc-block-components-checkout-return-to-cart-button:hover{';
				$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_hi_second_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_second_color != false){
		$vw_tour_lite_custom_css .='#header main-navigation ul li a:hover{';
				$vw_tour_lite_custom_css .='border-color: '.esc_attr($vw_tour_lite_hi_second_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_second_color != false){
		$vw_tour_lite_custom_css .='a, .single-post .post-navigation a:hover .post-title, .post-navigation a:focus .post-title, span.posted_in a, .main-navigation a:hover, .main-navigation ul.sub-menu a:hover, #header .custom-social-icons a, #header .custom-social-icons i:hover, .woocommerce p.stars a, .single-post .post-navigation a:hover, .entry-content a, .sidebar p a, #comments p a, .comment-meta.commentmetadata a , span.posted_in a, .services-box:hover h2 a, .services-box:hover .post-info a, .single-post .post-info:hover a, .sidebar a:hover, .footersecsec li a:hover, .top-bar a:hover, #header .logo .site-title a:hover, .copyright a:hover, #slider .inner_carousel h1 a:hover, #our-services .box-content h4 a:hover{';
				$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_hi_second_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_second_color != false){
		$vw_tour_lite_custom_css .='nav.woocommerce-MyAccount-navigation a:hover{';
				$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_hi_second_color).'!important;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_second_color != false){
		$vw_tour_lite_custom_css .='.main-navigation ul ul{';
				$vw_tour_lite_custom_css .='border-top-color: '.esc_attr($vw_tour_lite_hi_second_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_hi_second_color != false){
		$vw_tour_lite_custom_css .='.main-navigation ul ul{';
				$vw_tour_lite_custom_css .='border-bottom-color: '.esc_attr($vw_tour_lite_hi_second_color).';';
		$vw_tour_lite_custom_css .='}';
	}
	/*---------------------------Width Layout -------------------*/

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_width_option','Full Width');
        if($vw_tour_lite_theme_lay == 'Boxed'){
			$vw_tour_lite_custom_css .='body{';
				$vw_tour_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
			$vw_tour_lite_custom_css .='}';
			$vw_tour_lite_custom_css .='.scrollup i{';
				$vw_tour_lite_custom_css .='right: 100px;';
			$vw_tour_lite_custom_css .='}';
			$vw_tour_lite_custom_css .='.scrollup.left i{';
				$vw_tour_lite_custom_css .='left: 100px;';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == 'Wide Width'){
			$vw_tour_lite_custom_css .='body{';
				$vw_tour_lite_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
			$vw_tour_lite_custom_css .='}';
			$vw_tour_lite_custom_css .='.scrollup i{';
				$vw_tour_lite_custom_css .='right: 30px;';
			$vw_tour_lite_custom_css .='}';
			$vw_tour_lite_custom_css .='.scrollup.left i{';
				$vw_tour_lite_custom_css .='left: 30px;';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == 'Full Width'){
			$vw_tour_lite_custom_css .='body{';
				$vw_tour_lite_custom_css .='max-width: 100%;';
			$vw_tour_lite_custom_css .='}';
		}

	/*--------------------------- Slider Opacity -------------------*/

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_slider_opacity_color','0.5');
        if($vw_tour_lite_theme_lay == '0'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.1'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.1';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.2'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.2';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.3'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.3';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.4'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.4';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.5'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.5';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.6'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.6';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.7'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.7';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.8'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.8';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '0.9'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:0.9';
			$vw_tour_lite_custom_css .='}';
		}else if($vw_tour_lite_theme_lay == '1'){
			$vw_tour_lite_custom_css .='#slider img{';
				$vw_tour_lite_custom_css .='opacity:1';
			$vw_tour_lite_custom_css .='}';
		}

	/*---------------------- Slider Image Overlay ------------------------*/

	$vw_tour_lite_slider_image_overlay = get_theme_mod('vw_tour_lite_slider_image_overlay', true);
	if($vw_tour_lite_slider_image_overlay == false){
		$vw_tour_lite_custom_css .='#slider img{';
			$vw_tour_lite_custom_css .='opacity:1;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_slider_image_overlay_color = get_theme_mod('vw_tour_lite_slider_image_overlay_color', true);
	if($vw_tour_lite_slider_image_overlay_color != false){
		$vw_tour_lite_custom_css .='#slider{';
			$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_slider_image_overlay_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	/*----------------Slider Content Layout -------------------*/

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_slider_content_option','Center');
	   if($vw_tour_lite_theme_lay == 'Left'){
	$vw_tour_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel h1{';
	$vw_tour_lite_custom_css .='text-align:left; left:12%; right:45%';
	$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_theme_lay == 'Center'){
		$vw_tour_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel h1{';
		$vw_tour_lite_custom_css .='text-align:center; left:25%; right:25%;';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_theme_lay == 'Right'){
		$vw_tour_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel h1{';
		$vw_tour_lite_custom_css .='text-align:right; left:45%; right:12%;';
		$vw_tour_lite_custom_css .='}';
	}

	/*------------- Slider Content Padding Settings ------------------*/

	$vw_tour_lite_slider_content_padding_top_bottom = get_theme_mod('vw_tour_lite_slider_content_padding_top_bottom');
	$vw_tour_lite_slider_content_padding_left_right = get_theme_mod('vw_tour_lite_slider_content_padding_left_right');
	if($vw_tour_lite_slider_content_padding_top_bottom != false || $vw_tour_lite_slider_content_padding_left_right != false){
		$vw_tour_lite_custom_css .='#slider .carousel-caption{';
			$vw_tour_lite_custom_css .='top: '.esc_attr($vw_tour_lite_slider_content_padding_top_bottom).'; bottom: '.esc_attr($vw_tour_lite_slider_content_padding_top_bottom).';left: '.esc_attr($vw_tour_lite_slider_content_padding_left_right).';right: '.esc_attr($vw_tour_lite_slider_content_padding_left_right).';';
		$vw_tour_lite_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$vw_tour_lite_slider_height = get_theme_mod('vw_tour_lite_slider_height');
	if($vw_tour_lite_slider_height != false){
		$vw_tour_lite_custom_css .='#slider img{';
			$vw_tour_lite_custom_css .='height: '.esc_attr($vw_tour_lite_slider_height).';';
		$vw_tour_lite_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_blog_layout_option','Default');
    if($vw_tour_lite_theme_lay == 'Default'){
		$vw_tour_lite_custom_css .='.services-box{';
			$vw_tour_lite_custom_css .='';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_theme_lay == 'Center'){
		$vw_tour_lite_custom_css .='.services-box, .services-box h2, .services-box p{';
			$vw_tour_lite_custom_css .='text-align:center;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.post-info{';
			$vw_tour_lite_custom_css .='margin-top: 10px;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.sticky .services-box h2{';
			$vw_tour_lite_custom_css .='display: unset;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.services-box .read-more{';
			$vw_tour_lite_custom_css .='display: inline-block;';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_theme_lay == 'Left'){
		$vw_tour_lite_custom_css .='.services-box, .services-box h2, .services-box p{';
			$vw_tour_lite_custom_css .='text-align:Left;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.services-box img, .services-box .post-info{';
			$vw_tour_lite_custom_css .='margin-bottom:0px;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.services-box h2, .services-box .contentt-btn{';
			$vw_tour_lite_custom_css .='padding: 5px 10px;';
		$vw_tour_lite_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$vw_tour_lite_blog_page_posts_settings = get_theme_mod( 'vw_tour_lite_blog_page_posts_settings','Into Blocks');
    if($vw_tour_lite_blog_page_posts_settings == 'Without Blocks'){
		$vw_tour_lite_custom_css .='.services-box{';
			$vw_tour_lite_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_tour_lite_custom_css .='}';
	}

	// featured image dimention
	$vw_tour_lite_blog_post_featured_image_dimension = get_theme_mod('vw_tour_lite_blog_post_featured_image_dimension', 'default');
	$vw_tour_lite_blog_post_featured_image_custom_width = get_theme_mod('vw_tour_lite_blog_post_featured_image_custom_width',250);
	$vw_tour_lite_blog_post_featured_image_custom_height = get_theme_mod('vw_tour_lite_blog_post_featured_image_custom_height',250);
	if($vw_tour_lite_blog_post_featured_image_dimension == 'custom'){
		$vw_tour_lite_custom_css .='.services-box img{';
			$vw_tour_lite_custom_css .='width: '.esc_attr($vw_tour_lite_blog_post_featured_image_custom_width).'; height: '.esc_attr($vw_tour_lite_blog_post_featured_image_custom_height).';';
		$vw_tour_lite_custom_css .='}';
	}

	/*----------------------Responsive Media -----------------------*/

	$vw_tour_lite_resp_topbar = get_theme_mod( 'vw_tour_lite_resp_topbar_hide_show',true);
	if($vw_tour_lite_resp_topbar == true && get_theme_mod( 'vw_tour_lite_topbar_hide_show', true) == false){
    	$vw_tour_lite_custom_css .='.top-header{';
			$vw_tour_lite_custom_css .='display:none;';
		$vw_tour_lite_custom_css .='} ';
	}
    if($vw_tour_lite_resp_topbar == true){
    	$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='.top-header{';
			$vw_tour_lite_custom_css .='display:block;';
		$vw_tour_lite_custom_css .='} }';
	}else if($vw_tour_lite_resp_topbar == false){
		$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='.top-header{';
			$vw_tour_lite_custom_css .='display:none;';
		$vw_tour_lite_custom_css .='} }';
	}

	$vw_tour_lite_resp_stickyheader = get_theme_mod( 'vw_tour_lite_stickyheader_hide_show',false);
	if($vw_tour_lite_resp_stickyheader == true && get_theme_mod( 'vw_tour_lite_sticky_header',false) != true){
    	$vw_tour_lite_custom_css .='.header-fixed{';
			$vw_tour_lite_custom_css .='position:static;';
		$vw_tour_lite_custom_css .='} ';
	}
    if($vw_tour_lite_resp_stickyheader == true){
    	$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='.header-fixed{';
			$vw_tour_lite_custom_css .='position:fixed;';
		$vw_tour_lite_custom_css .='} }';
	}else if($vw_tour_lite_resp_stickyheader == false){
		$vw_tour_lite_custom_css .='@media screen and (max-width:575px){';
		$vw_tour_lite_custom_css .='.header-fixed{';
			$vw_tour_lite_custom_css .='position:static;';
		$vw_tour_lite_custom_css .='} }';
	}

	$vw_tour_lite_resp_slider = get_theme_mod( 'vw_tour_lite_resp_slider_hide_show',true);
	if($vw_tour_lite_resp_slider == true && get_theme_mod( 'vw_tour_lite_slider_hide_show', true) == false){
    	$vw_tour_lite_custom_css .='#slider{';
			$vw_tour_lite_custom_css .='display:none;';
		$vw_tour_lite_custom_css .='} ';
	}
    if($vw_tour_lite_resp_slider == true){
    	$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='#slider{';
			$vw_tour_lite_custom_css .='display:block;';
		$vw_tour_lite_custom_css .='} }';
	}else if($vw_tour_lite_resp_slider == false){
		$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='#slider{';
			$vw_tour_lite_custom_css .='display:none;';
		$vw_tour_lite_custom_css .='} }';
	}

	$vw_tour_lite_sidebar = get_theme_mod( 'vw_tour_lite_sidebar_hide_show',true);
    if($vw_tour_lite_sidebar == true){
    	$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='.sidebar{';
			$vw_tour_lite_custom_css .='display:block;';
		$vw_tour_lite_custom_css .='} }';
	}else if($vw_tour_lite_sidebar == false){
		$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='.sidebar{';
			$vw_tour_lite_custom_css .='display:none;';
		$vw_tour_lite_custom_css .='} }';
	}

	$vw_tour_lite_resp_scroll_top = get_theme_mod( 'vw_tour_lite_resp_scroll_top_hide_show',true);
	if($vw_tour_lite_resp_scroll_top == true && get_theme_mod( 'vw_tour_lite_hide_show_scroll',true) != true){
    	$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='visibility:hidden !important;';
		$vw_tour_lite_custom_css .='} ';
	}
    if($vw_tour_lite_resp_scroll_top == true){
    	$vw_tour_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='visibility:visible !important;';
		$vw_tour_lite_custom_css .='} }';
	}else if($vw_tour_lite_resp_scroll_top == false){
		$vw_tour_lite_custom_css .='@media screen and (max-width:575px){';
		$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='visibility:hidden !important;';
		$vw_tour_lite_custom_css .='} }';
	}

	$vw_tour_lite_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_tour_lite_resp_menu_toggle_btn_bg_color');
	if($vw_tour_lite_resp_menu_toggle_btn_bg_color != false){
		$vw_tour_lite_custom_css .='.toggle-nav i,.sidenav .closebtn{';
			$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_resp_menu_toggle_btn_bg_color).'!important;';
		$vw_tour_lite_custom_css .='}';
	}

	/*------------- Top Bar Settings ------------------*/

	$vw_tour_lite_header_menus_color = get_theme_mod('vw_tour_lite_header_menus_color');
	if($vw_tour_lite_header_menus_color != false){
		$vw_tour_lite_custom_css .='.main-navigation a{';
			$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_header_menus_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_header_menus_hover_color = get_theme_mod('vw_tour_lite_header_menus_hover_color');
	if($vw_tour_lite_header_menus_hover_color != false){
		$vw_tour_lite_custom_css .='.main-navigation a:hover{';
			$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_header_menus_hover_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_header_submenus_color = get_theme_mod('vw_tour_lite_header_submenus_color');
	if($vw_tour_lite_header_submenus_color != false){
		$vw_tour_lite_custom_css .='.main-navigation ul ul a{';
			$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_header_submenus_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_header_submenus_hover_color = get_theme_mod('vw_tour_lite_header_submenus_hover_color');
	if($vw_tour_lite_header_submenus_hover_color != false){
		$vw_tour_lite_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_tour_lite_custom_css .='color: '.esc_attr($vw_tour_lite_header_submenus_hover_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_navigation_menu_font_size = get_theme_mod('vw_tour_lite_navigation_menu_font_size');
	if($vw_tour_lite_navigation_menu_font_size != false){
		$vw_tour_lite_custom_css .='.main-navigation a{';
			$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_navigation_menu_font_size).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_navigation_menu_font_weight = get_theme_mod('vw_tour_lite_navigation_menu_font_weight','600');
	if($vw_tour_lite_navigation_menu_font_weight != false){
		$vw_tour_lite_custom_css .='.main-navigation a{';
			$vw_tour_lite_custom_css .='font-weight: '.esc_attr($vw_tour_lite_navigation_menu_font_weight).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_menu_text_transform','Uppercase');
	if($vw_tour_lite_theme_lay == 'Capitalize'){
		$vw_tour_lite_custom_css .='.main-navigation a{';
			$vw_tour_lite_custom_css .='text-transform:Capitalize;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_theme_lay == 'Lowercase'){
		$vw_tour_lite_custom_css .='.main-navigation a{';
			$vw_tour_lite_custom_css .='text-transform:Lowercase;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_theme_lay == 'Uppercase'){
		$vw_tour_lite_custom_css .='.main-navigation a{';
			$vw_tour_lite_custom_css .='text-transform:Uppercase;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_topbar_padding_top_bottom = get_theme_mod('vw_tour_lite_topbar_padding_top_bottom');
	if($vw_tour_lite_topbar_padding_top_bottom != false){
		$vw_tour_lite_custom_css .='.top-header{';
			$vw_tour_lite_custom_css .='padding-top: '.esc_attr($vw_tour_lite_topbar_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_tour_lite_topbar_padding_top_bottom).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_menus_item = get_theme_mod( 'vw_tour_lite_menus_item_style','None');
    if($vw_tour_lite_menus_item == 'None'){
		$vw_tour_lite_custom_css .='.main-navigation a{';
			$vw_tour_lite_custom_css .='';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_menus_item == 'Zoom In'){
		$vw_tour_lite_custom_css .='.main-navigation a:hover{';
			$vw_tour_lite_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: #fff;';
		$vw_tour_lite_custom_css .='}'; 
	}

	/*-------------- Sticky Header Padding ----------------*/

	$vw_tour_lite_sticky_header_padding = get_theme_mod('vw_tour_lite_sticky_header_padding');
	if($vw_tour_lite_sticky_header_padding != false){
		$vw_tour_lite_custom_css .='.header-fixed{';
			$vw_tour_lite_custom_css .='padding: '.esc_attr($vw_tour_lite_sticky_header_padding).';';
		$vw_tour_lite_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_tour_lite_button_padding_top_bottom = get_theme_mod('vw_tour_lite_button_padding_top_bottom');
	$vw_tour_lite_button_padding_left_right = get_theme_mod('vw_tour_lite_button_padding_left_right');
	if($vw_tour_lite_button_padding_top_bottom != false || $vw_tour_lite_button_padding_left_right != false){
		$vw_tour_lite_custom_css .='.services-box .read-more{';
			$vw_tour_lite_custom_css .='padding-top: '.esc_attr($vw_tour_lite_button_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_tour_lite_button_padding_top_bottom).';padding-left: '.esc_attr($vw_tour_lite_button_padding_left_right).';padding-right: '.esc_attr($vw_tour_lite_button_padding_left_right).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_button_border_radius = get_theme_mod('vw_tour_lite_button_border_radius');
	if($vw_tour_lite_button_border_radius != false){
		$vw_tour_lite_custom_css .='.services-box .read-more{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_button_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_button_font_size = get_theme_mod('vw_tour_lite_button_font_size',14);
	$vw_tour_lite_custom_css .='.services-box .read-more{';
		$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_button_font_size).';';
	$vw_tour_lite_custom_css .='}';

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_button_text_transform','Uppercase');
	if($vw_tour_lite_theme_lay == 'Capitalize'){
		$vw_tour_lite_custom_css .='.services-box .read-more{';
			$vw_tour_lite_custom_css .='text-transform:Capitalize;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_theme_lay == 'Lowercase'){
		$vw_tour_lite_custom_css .='.services-box .read-more{';
			$vw_tour_lite_custom_css .='text-transform:Lowercase;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_theme_lay == 'Uppercase'){
		$vw_tour_lite_custom_css .='.services-box .read-more{';
			$vw_tour_lite_custom_css .='text-transform:Uppercase;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_button_letter_spacing = get_theme_mod('vw_tour_lite_button_letter_spacing');
	$vw_tour_lite_custom_css .='.services-box .read-more{';
		$vw_tour_lite_custom_css .='letter-spacing: '.esc_attr($vw_tour_lite_button_letter_spacing).';';
	$vw_tour_lite_custom_css .='}';

	/*------------- Single Blog Page------------------*/

	$vw_tour_lite_featured_image_border_radius = get_theme_mod('vw_tour_lite_featured_image_border_radius', 0);
	if($vw_tour_lite_featured_image_border_radius != false){
		$vw_tour_lite_custom_css .='.service-image img, .feature-box img{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_featured_image_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_featured_image_box_shadow = get_theme_mod('vw_tour_lite_featured_image_box_shadow',0);
	if($vw_tour_lite_featured_image_box_shadow != false){
		$vw_tour_lite_custom_css .='.service-image img{';
			$vw_tour_lite_custom_css .='box-shadow: '.esc_attr($vw_tour_lite_featured_image_box_shadow).'px '.esc_attr($vw_tour_lite_featured_image_box_shadow).'px '.esc_attr($vw_tour_lite_featured_image_box_shadow).'px #cccccc;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_singlepost_image_box_shadow = get_theme_mod('vw_tour_lite_singlepost_image_box_shadow',0);
	if($vw_tour_lite_singlepost_image_box_shadow != false){
		$vw_tour_lite_custom_css .='.feature-box img{';
			$vw_tour_lite_custom_css .='box-shadow: '.esc_attr($vw_tour_lite_singlepost_image_box_shadow).'px '.esc_attr($vw_tour_lite_singlepost_image_box_shadow).'px '.esc_attr($vw_tour_lite_singlepost_image_box_shadow).'px #cccccc;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_single_blog_post_navigation_show_hide = get_theme_mod('vw_tour_lite_single_blog_post_navigation_show_hide',true);
	if($vw_tour_lite_single_blog_post_navigation_show_hide != true){
		$vw_tour_lite_custom_css .='.post-navigation{';
			$vw_tour_lite_custom_css .='display: none;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_single_blog_comment_title = get_theme_mod('vw_tour_lite_single_blog_comment_title', 'Leave a Reply');
	if($vw_tour_lite_single_blog_comment_title == ''){
		$vw_tour_lite_custom_css .='#comments h2#reply-title {';
			$vw_tour_lite_custom_css .='display: none;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_single_blog_comment_button_text = get_theme_mod('vw_tour_lite_single_blog_comment_button_text', 'Post Comment');
	if($vw_tour_lite_single_blog_comment_button_text == ''){
		$vw_tour_lite_custom_css .='#comments p.form-submit {';
			$vw_tour_lite_custom_css .='display: none;';
		$vw_tour_lite_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/
	
	$vw_tour_lite_copyright_background_color = get_theme_mod('vw_tour_lite_copyright_background_color');
	if($vw_tour_lite_copyright_background_color != false){
		$vw_tour_lite_custom_css .='.copyright-wrapper{';
			$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_copyright_background_color).';';
		$vw_tour_lite_custom_css .='}';
	} 

	$vw_tour_lite_footer_widgets_heading = get_theme_mod( 'vw_tour_lite_footer_widgets_heading','Left');
    if($vw_tour_lite_footer_widgets_heading == 'Left'){
		$vw_tour_lite_custom_css .='.footersecsec h3, .footersecsec h3 .wp-block-search .wp-block-search__label{';
		$vw_tour_lite_custom_css .='text-align: left;';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_footer_widgets_heading == 'Center'){
		$vw_tour_lite_custom_css .='.footersecsec h3, .footersecsec h3 .wp-block-search .wp-block-search__label{';
			$vw_tour_lite_custom_css .='text-align: center;';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_footer_widgets_heading == 'Right'){
		$vw_tour_lite_custom_css .='.footersecsec h3, .footersecsec .wp-block-search .wp-block-search__label{';
			$vw_tour_lite_custom_css .='text-align: right;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_footer_widgets_content = get_theme_mod( 'vw_tour_lite_footer_widgets_content','Left');
    if($vw_tour_lite_footer_widgets_content == 'Left'){
		$vw_tour_lite_custom_css .='.footersecsec li{';
		$vw_tour_lite_custom_css .='text-align: left;';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_footer_widgets_content == 'Center'){
		$vw_tour_lite_custom_css .='.footersecsec li{';
			$vw_tour_lite_custom_css .='text-align: center;';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_footer_widgets_content == 'Right'){
		$vw_tour_lite_custom_css .='.footersecsec li{';
			$vw_tour_lite_custom_css .='text-align: right;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_footer_padding = get_theme_mod('vw_tour_lite_footer_padding');
	if($vw_tour_lite_footer_padding != false){
		$vw_tour_lite_custom_css .='.footersecsec{';
			$vw_tour_lite_custom_css .='padding: '.esc_attr($vw_tour_lite_footer_padding).' 0;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_footer_background_color = get_theme_mod('vw_tour_lite_footer_background_color');
	if($vw_tour_lite_footer_background_color != false){
		$vw_tour_lite_custom_css .='.footersecsec{';
			$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_footer_background_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_copyright_font_size = get_theme_mod('vw_tour_lite_copyright_font_size');
	if($vw_tour_lite_copyright_font_size != false){
		$vw_tour_lite_custom_css .='.copyright p{';
			$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_copyright_font_size).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_copyright_alingment = get_theme_mod('vw_tour_lite_copyright_alingment');
	if($vw_tour_lite_copyright_alingment != false){
		$vw_tour_lite_custom_css .='.copyright p,#footer-2 p{';
			$vw_tour_lite_custom_css .='text-align: '.esc_attr($vw_tour_lite_copyright_alingment).';';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p,#footer-2 p{';
			$vw_tour_lite_custom_css .='text-align: center;} }';
	}

	$vw_tour_lite_align_footer_social_icon = get_theme_mod('vw_tour_lite_align_footer_social_icon');
	if($vw_tour_lite_align_footer_social_icon != false){
		$vw_tour_lite_custom_css .='.copyright .widget{';
			$vw_tour_lite_custom_css .='text-align: '.esc_attr($vw_tour_lite_align_footer_social_icon).';';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$vw_tour_lite_custom_css .='text-align: center;} }';
	}

	$vw_tour_lite_copyright_padding_top_bottom = get_theme_mod('vw_tour_lite_copyright_padding_top_bottom');
	if($vw_tour_lite_copyright_padding_top_bottom != false){
		$vw_tour_lite_custom_css .='.copyright-wrapper{';
			$vw_tour_lite_custom_css .='padding-top: '.esc_attr($vw_tour_lite_copyright_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_tour_lite_copyright_padding_top_bottom).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_footer_background_image = get_theme_mod('vw_tour_lite_footer_background_image');
	if($vw_tour_lite_footer_background_image != false){
		$vw_tour_lite_custom_css .='.footersecsec{';
			$vw_tour_lite_custom_css .='background: url('.esc_attr($vw_tour_lite_footer_background_image).'); background-size: cover;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_img_footer','scroll');
	if($vw_tour_lite_theme_lay == 'fixed'){
		$vw_tour_lite_custom_css .='.footersecsec{';
			$vw_tour_lite_custom_css .='background-attachment: fixed !important;';
		$vw_tour_lite_custom_css .='}';
	}elseif ($vw_tour_lite_theme_lay == 'scroll'){
		$vw_tour_lite_custom_css .='.footersecsec{';
			$vw_tour_lite_custom_css .='background-attachment: scroll !important;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_footer_img_position = get_theme_mod('vw_tour_lite_footer_img_position','center center');
	if($vw_tour_lite_footer_img_position != false){
		$vw_tour_lite_custom_css .='.footersecsec{';
			$vw_tour_lite_custom_css .='background-position: '.esc_attr($vw_tour_lite_footer_img_position).'!important;';
		$vw_tour_lite_custom_css .='}';
	}

	/*----------------Sroll to top Settings ------------------*/

	$vw_tour_lite_scroll_to_top_font_size = get_theme_mod('vw_tour_lite_scroll_to_top_font_size');
	if($vw_tour_lite_scroll_to_top_font_size != false){
		$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_scroll_to_top_font_size).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_scroll_to_top_padding = get_theme_mod('vw_tour_lite_scroll_to_top_padding');
	$vw_tour_lite_scroll_to_top_padding = get_theme_mod('vw_tour_lite_scroll_to_top_padding');
	if($vw_tour_lite_scroll_to_top_padding != false){
		$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='padding-top: '.esc_attr($vw_tour_lite_scroll_to_top_padding).';padding-bottom: '.esc_attr($vw_tour_lite_scroll_to_top_padding).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_scroll_to_top_width = get_theme_mod('vw_tour_lite_scroll_to_top_width');
	if($vw_tour_lite_scroll_to_top_width != false){
		$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='width: '.esc_attr($vw_tour_lite_scroll_to_top_width).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_scroll_to_top_height = get_theme_mod('vw_tour_lite_scroll_to_top_height');
	if($vw_tour_lite_scroll_to_top_height != false){
		$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='height: '.esc_attr($vw_tour_lite_scroll_to_top_height).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_scroll_to_top_border_radius = get_theme_mod('vw_tour_lite_scroll_to_top_border_radius');
	if($vw_tour_lite_scroll_to_top_border_radius != false){
		$vw_tour_lite_custom_css .='.scrollup i{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_scroll_to_top_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_tour_lite_social_icon_font_size = get_theme_mod('vw_tour_lite_social_icon_font_size');
	if($vw_tour_lite_social_icon_font_size != false){
		$vw_tour_lite_custom_css .='.sidebar .custom-social-icons i, .footersecsec .custom-social-icons i{';
			$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_social_icon_font_size).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_social_icon_padding = get_theme_mod('vw_tour_lite_social_icon_padding');
	if($vw_tour_lite_social_icon_padding != false){
		$vw_tour_lite_custom_css .='.sidebar .custom-social-icons i, .footersecsec .custom-social-icons i{';
			$vw_tour_lite_custom_css .='padding: '.esc_attr($vw_tour_lite_social_icon_padding).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_social_icon_width = get_theme_mod('vw_tour_lite_social_icon_width');
	if($vw_tour_lite_social_icon_width != false){
		$vw_tour_lite_custom_css .='.sidebar .custom-social-icons i, .footersecsec .custom-social-icons i{';
			$vw_tour_lite_custom_css .='width: '.esc_attr($vw_tour_lite_social_icon_width).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_social_icon_height = get_theme_mod('vw_tour_lite_social_icon_height');
	if($vw_tour_lite_social_icon_height != false){
		$vw_tour_lite_custom_css .='.sidebar .custom-social-icons i, .footersecsec .custom-social-icons i{';
			$vw_tour_lite_custom_css .='height: '.esc_attr($vw_tour_lite_social_icon_height).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_social_icon_border_radius = get_theme_mod('vw_tour_lite_social_icon_border_radius');
	if($vw_tour_lite_social_icon_border_radius != false){
		$vw_tour_lite_custom_css .='.sidebar .custom-social-icons i, .footersecsec .custom-social-icons i{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_social_icon_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_tour_lite_related_product_show_hide = get_theme_mod('vw_tour_lite_related_product_show_hide',true);
	if($vw_tour_lite_related_product_show_hide != true){
		$vw_tour_lite_custom_css .='.related.products{';
			$vw_tour_lite_custom_css .='display: none;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_products_padding_top_bottom = get_theme_mod('vw_tour_lite_products_padding_top_bottom');
	if($vw_tour_lite_products_padding_top_bottom != false){
		$vw_tour_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_tour_lite_custom_css .='padding-top: '.esc_attr($vw_tour_lite_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_tour_lite_products_padding_top_bottom).'!important;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_products_padding_left_right = get_theme_mod('vw_tour_lite_products_padding_left_right');
	if($vw_tour_lite_products_padding_left_right != false){
		$vw_tour_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_tour_lite_custom_css .='padding-left: '.esc_attr($vw_tour_lite_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_tour_lite_products_padding_left_right).'!important;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_products_box_shadow = get_theme_mod('vw_tour_lite_products_box_shadow');
	if($vw_tour_lite_products_box_shadow != false){
		$vw_tour_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_tour_lite_custom_css .='box-shadow: '.esc_attr($vw_tour_lite_products_box_shadow).'px '.esc_attr($vw_tour_lite_products_box_shadow).'px '.esc_attr($vw_tour_lite_products_box_shadow).'px #ddd;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_products_border_radius = get_theme_mod('vw_tour_lite_products_border_radius', 0);
	if($vw_tour_lite_products_border_radius != false){
		$vw_tour_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_products_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_products_btn_padding_top_bottom = get_theme_mod('vw_tour_lite_products_btn_padding_top_bottom');
	if($vw_tour_lite_products_btn_padding_top_bottom != false){
		$vw_tour_lite_custom_css .='.woocommerce a.button{';
			$vw_tour_lite_custom_css .='padding-top: '.esc_attr($vw_tour_lite_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($vw_tour_lite_products_btn_padding_top_bottom).' !important;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_products_button_border_radius = get_theme_mod('vw_tour_lite_products_button_border_radius', 0);
	if($vw_tour_lite_products_button_border_radius != false){
		$vw_tour_lite_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_products_button_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_woocommerce_sale_position = get_theme_mod( 'vw_tour_lite_woocommerce_sale_position','right');
    if($vw_tour_lite_woocommerce_sale_position == 'left'){
		$vw_tour_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_tour_lite_custom_css .='left: -10px; right: auto;';
		$vw_tour_lite_custom_css .='}';
	}else if($vw_tour_lite_woocommerce_sale_position == 'right'){
		$vw_tour_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_tour_lite_custom_css .='left: auto; right: 0;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_woocommerce_sale_font_size = get_theme_mod('vw_tour_lite_woocommerce_sale_font_size');
	if($vw_tour_lite_woocommerce_sale_font_size != false){
		$vw_tour_lite_custom_css .='.woocommerce span.onsale{';
			$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_woocommerce_sale_font_size).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_woocommerce_sale_border_radius = get_theme_mod('vw_tour_lite_woocommerce_sale_border_radius', 100);
	if($vw_tour_lite_woocommerce_sale_border_radius != false){
		$vw_tour_lite_custom_css .='.woocommerce span.onsale{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_woocommerce_sale_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	// Site title Font Size
	$vw_tour_lite_site_title_font_size = get_theme_mod('vw_tour_lite_site_title_font_size');
	if($vw_tour_lite_site_title_font_size != false){
		$vw_tour_lite_custom_css .='#header .logo h1 a, #header .logo p.site-title a{';
			$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_site_title_font_size).';';
		$vw_tour_lite_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_tour_lite_site_tagline_font_size = get_theme_mod('vw_tour_lite_site_tagline_font_size');
	if($vw_tour_lite_site_tagline_font_size != false){
		$vw_tour_lite_custom_css .='#header .logo p.site-description{';
			$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_site_tagline_font_size).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_logo_padding = get_theme_mod('vw_tour_lite_logo_padding');
	if($vw_tour_lite_logo_padding != false){
		$vw_tour_lite_custom_css .='#header .logo{';
			$vw_tour_lite_custom_css .='padding: '.esc_attr($vw_tour_lite_logo_padding).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_logo_margin = get_theme_mod('vw_tour_lite_logo_margin');
	if($vw_tour_lite_logo_margin != false){
		$vw_tour_lite_custom_css .='#header .logo{';
			$vw_tour_lite_custom_css .='margin: '.esc_attr($vw_tour_lite_logo_margin).';';
		$vw_tour_lite_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_tour_lite_preloader_bg_color = get_theme_mod('vw_tour_lite_preloader_bg_color');
	if($vw_tour_lite_preloader_bg_color != false){
		$vw_tour_lite_custom_css .='#preloader{';
			$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_preloader_bg_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_preloader_border_color = get_theme_mod('vw_tour_lite_preloader_border_color');
	if($vw_tour_lite_preloader_border_color != false){
		$vw_tour_lite_custom_css .='.loader-line{';
			$vw_tour_lite_custom_css .='border-color: '.esc_attr($vw_tour_lite_preloader_border_color).'!important;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_preloader_bg_img = get_theme_mod('vw_tour_lite_preloader_bg_img');
	if($vw_tour_lite_preloader_bg_img != false){
		$vw_tour_lite_custom_css .='#preloader{';
			$vw_tour_lite_custom_css .='background: url('.esc_attr($vw_tour_lite_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$vw_tour_lite_custom_css .='}';
	}

	// Header Background Color
	$vw_tour_lite_header_background_color = get_theme_mod('vw_tour_lite_header_background_color');
	if($vw_tour_lite_header_background_color != false){
		$vw_tour_lite_custom_css .='#header{';
			$vw_tour_lite_custom_css .='background-color: '.esc_attr($vw_tour_lite_header_background_color).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_header_img_position = get_theme_mod('vw_tour_lite_header_img_position','center top');
	if($vw_tour_lite_header_img_position != false){
		$vw_tour_lite_custom_css .='#header{';
			$vw_tour_lite_custom_css .='background-position: '.esc_attr($vw_tour_lite_header_img_position).'!important;';
		$vw_tour_lite_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$vw_tour_lite_display_grid_posts_settings = get_theme_mod( 'vw_tour_lite_display_grid_posts_settings','Into Blocks');
    if($vw_tour_lite_display_grid_posts_settings == 'Without Blocks'){
		$vw_tour_lite_custom_css .='.grid-post-main-box{';
			$vw_tour_lite_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_grid_featured_image_border_radius = get_theme_mod('vw_tour_lite_grid_featured_image_border_radius', 0);
	if($vw_tour_lite_grid_featured_image_border_radius != false){
		$vw_tour_lite_custom_css .='.grid-post-main-box img, .grid-post-main-box .service-image img{';
			$vw_tour_lite_custom_css .='border-radius: '.esc_attr($vw_tour_lite_grid_featured_image_border_radius).'px;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_grid_featured_image_box_shadow = get_theme_mod('vw_tour_lite_grid_featured_image_box_shadow',0);
	if($vw_tour_lite_grid_featured_image_box_shadow != false){
		$vw_tour_lite_custom_css .='.grid-post-main-box img, .grid-post-main-box .service-image img{';
			$vw_tour_lite_custom_css .='box-shadow: '.esc_attr($vw_tour_lite_grid_featured_image_box_shadow).'px '.esc_attr($vw_tour_lite_grid_featured_image_box_shadow).'px '.esc_attr($vw_tour_lite_grid_featured_image_box_shadow).'px #cccccc;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_related_image_box_shadow = get_theme_mod('vw_tour_lite_related_image_box_shadow',0);
	if($vw_tour_lite_related_image_box_shadow != false){
		$vw_tour_lite_custom_css .='.related-post .box-image img{';
			$vw_tour_lite_custom_css .='box-shadow: '.esc_attr($vw_tour_lite_related_image_box_shadow).'px '.esc_attr($vw_tour_lite_related_image_box_shadow).'px '.esc_attr($vw_tour_lite_related_image_box_shadow).'px #cccccc;';
		$vw_tour_lite_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_footer_template','vw_tour_lite-footer-one');
    if($vw_tour_lite_theme_lay == 'vw_tour_lite-footer-one'){
		$vw_tour_lite_custom_css .='.footersec{';
			$vw_tour_lite_custom_css .='';
		$vw_tour_lite_custom_css .='}';

	}else if($vw_tour_lite_theme_lay == 'vw_tour_lite-footer-two'){
		$vw_tour_lite_custom_css .='.footersec{';
			$vw_tour_lite_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.footersec p, .footersec li a, .footersec, .footersec h3, .footersec a.rsswidget, .footersec #wp-calendar a, .copyright a, .footersec .custom_details, .footersec ins span, .footersec .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footersec ul li a, .footersec table, .footersec th, .footersec td, .footersec caption, #sidebar caption,.footersec nav.wp-calendar-nav a,.footersec .search-form .search-field{';
			$vw_tour_lite_custom_css .='color:#000;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.footersec ul li::before{';
			$vw_tour_lite_custom_css .='background:#000;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.footersec table, .footersec th, .footersec td,.footersec .search-form .search-field,.footersec .tagcloud a{';
			$vw_tour_lite_custom_css .='border: 1px solid #000;';
		$vw_tour_lite_custom_css .='}';

	}else if($vw_tour_lite_theme_lay == 'vw_tour_lite-footer-three'){
		$vw_tour_lite_custom_css .='.footersec{';
			$vw_tour_lite_custom_css .='background: #232524;';
		$vw_tour_lite_custom_css .='}';
	}
	else if($vw_tour_lite_theme_lay == 'vw_tour_lite-footer-four'){
		$vw_tour_lite_custom_css .='.footersec{';
			$vw_tour_lite_custom_css .='background: #f7f7f7;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.footersec p, .footersec li a, .footersec, .footersec h3, .footersec a.rsswidget, .footersec #wp-calendar a, .copyright a, .footersec .custom_details, .footersec ins span, .footersec .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footersec ul li a, .footersec table, .footersec th, .footersec td, .footersec caption, #sidebar caption,.footersec nav.wp-calendar-nav a,.footersec .search-form .search-field{';
			$vw_tour_lite_custom_css .='color:#000;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.footersec ul li::before{';
			$vw_tour_lite_custom_css .='background:#000;';
		$vw_tour_lite_custom_css .='}';
		$vw_tour_lite_custom_css .='.footersec table, .footersec th, .footersec td,.footersec .search-form .search-field,.footersec .tagcloud a{';
			$vw_tour_lite_custom_css .='border: 1px solid #000;';
		$vw_tour_lite_custom_css .='}';
	}
	else if($vw_tour_lite_theme_lay == 'vw_tour_lite-footer-five'){
		$vw_tour_lite_custom_css .='.footersec{';
			$vw_tour_lite_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$vw_tour_lite_custom_css .='}';
	}

	/*---------------- Footer Settings ------------------*/

	$vw_tour_lite_button_footer_heading_letter_spacing = get_theme_mod('vw_tour_lite_button_footer_heading_letter_spacing',1);
	$vw_tour_lite_custom_css .='.footersec h3, a.rsswidget.rss-widget-title{';
		$vw_tour_lite_custom_css .='letter-spacing: '.esc_attr($vw_tour_lite_button_footer_heading_letter_spacing).'px;';
	$vw_tour_lite_custom_css .='}';

	$vw_tour_lite_button_footer_font_size = get_theme_mod('vw_tour_lite_button_footer_font_size','30');
	$vw_tour_lite_custom_css .='.footersec h3, a.rsswidget.rss-widget-title{';
		$vw_tour_lite_custom_css .='font-size: '.esc_attr($vw_tour_lite_button_footer_font_size).'px;';
	$vw_tour_lite_custom_css .='}';

	$vw_tour_lite_theme_lay = get_theme_mod( 'vw_tour_lite_button_footer_text_transform','Capitalize');
	if($vw_tour_lite_theme_lay == 'Capitalize'){
		$vw_tour_lite_custom_css .='.footersec h3{';
			$vw_tour_lite_custom_css .='text-transform:Capitalize;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_theme_lay == 'Lowercase'){
		$vw_tour_lite_custom_css .='.footersec h3, a.rsswidget.rss-widget-title{';
			$vw_tour_lite_custom_css .='text-transform:Lowercase;';
		$vw_tour_lite_custom_css .='}';
	}
	if($vw_tour_lite_theme_lay == 'Uppercase'){
		$vw_tour_lite_custom_css .='.footersec h3, a.rsswidget.rss-widget-title{';
			$vw_tour_lite_custom_css .='text-transform:Uppercase;';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_footer_heading_weight = get_theme_mod('vw_tour_lite_footer_heading_weight','600');
	if($vw_tour_lite_footer_heading_weight != false){
		$vw_tour_lite_custom_css .='.footersec h3, a.rsswidget.rss-widget-title{';
			$vw_tour_lite_custom_css .='font-weight: '.esc_attr($vw_tour_lite_footer_heading_weight).';';
		$vw_tour_lite_custom_css .='}';
	}

	$vw_tour_lite_responsive_preloader_hide = get_theme_mod('vw_tour_lite_responsive_preloader_hide',false);
	if($vw_tour_lite_responsive_preloader_hide == true && get_theme_mod('vw_tour_lite_loader_enable',false) == false){
		$vw_tour_lite_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$vw_tour_lite_custom_css .='display:none !important;';
		$vw_tour_lite_custom_css .='} }';
	}

	if($vw_tour_lite_responsive_preloader_hide == false){
		$vw_tour_lite_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$vw_tour_lite_custom_css .='display:none !important;';
		$vw_tour_lite_custom_css .='} }';
	}

	$vw_tour_lite_breadcrumbs_alignment = get_theme_mod( 'vw_tour_lite_breadcrumbs_alignment','Left');
    if($vw_tour_lite_breadcrumbs_alignment == 'Left'){
    	$vw_tour_lite_custom_css .='@media screen and (min-width:768px) {';
		$vw_tour_lite_custom_css .='.breadcrumbs{';
			$vw_tour_lite_custom_css .='text-align:start;';
		$vw_tour_lite_custom_css .='}}';
	}else if($vw_tour_lite_breadcrumbs_alignment == 'Center'){
		$vw_tour_lite_custom_css .='@media screen and (min-width:768px) {';
		$vw_tour_lite_custom_css .='.breadcrumbs{';
			$vw_tour_lite_custom_css .='text-align:center;';
		$vw_tour_lite_custom_css .='}}';
	}else if($vw_tour_lite_breadcrumbs_alignment == 'Right'){
		$vw_tour_lite_custom_css .='@media screen and (min-width:768px) {';
		$vw_tour_lite_custom_css .='.breadcrumbs{';
			$vw_tour_lite_custom_css .='text-align:end;';
		$vw_tour_lite_custom_css .='}}';
	}